Package de.willuhn.jameica.hbci.rmi

# Interface Ueberweisung

All Superinterfaces:
  `BaseUeberweisung`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `HibiscusTransfer`, `Remote`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `UeberweisungImpl`

public interface Ueberweisung extends BaseUeberweisung
Bildet eine Ueberweisung ab.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTerminUeberweisung()`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.
`boolean`
`isUmbuchung()`
Prueft, ob es sich um einen bankinterne Umbuchung handelt.
`void`
`setTerminUeberweisung(boolean termin)`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.
`void`
`setUmbuchung(boolean b)`
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseUeberweisung

`getTextSchluessel, setTextSchluessel`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### isTerminUeberweisung

boolean isTerminUeberweisung() throws RemoteException
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.

Returns:
  true, wenn es eine bankseitige Termin-Ueberweisung ist.
Throws:
  `RemoteException`

### setTerminUeberweisung

void setTerminUeberweisung(boolean termin) throws RemoteException
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

Parameters:
  `termin` - true, wenn es eine bankseitige Terminueberweisung sein soll.
Throws:
  `RemoteException`

### isUmbuchung

boolean isUmbuchung() throws RemoteException
Prueft, ob es sich um einen bankinterne Umbuchung handelt.

Returns:
  true, wenn es eine bankinterne Umbuchung ist.
Throws:
  `RemoteException`

### setUmbuchung

void setUmbuchung(boolean b) throws RemoteException
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.

Parameters:
  `b` - true, wenn es eine bankinterne Umbuchung sein soll.
Throws:
  `RemoteException`